IDIR = include
ODIR = obj
SDIR = src
JDIR = java

CC = gcc
CFLAGS = -Wall -fPIC -I $(IDIR) -std=c99
EXE = -o $(JDIR)/libalgos.so


JINCLUDES = -I/Library/Java/JavaVirtualMachines/jdk1.8.0_201.jdk/ -I/Library/Java/JavaVirtualMachines/jdk1.8.0_201.jdk/Contents/Home/include -I/Library/Java/JavaVirtualMachines/jdk1.8.0_201.jdk/Contents/Home/include/darwin

_DEPS = rational.h list.h geometry.h tree.h algo.h Bent.h
DEPS = $(patsubst %,$(IDIR)/%,$(_DEPS))

_OBJ = rational.o list.o geometry.o tree.o algo.o Bent.o
OBJ = $(patsubst %,$(ODIR)/%,$(_OBJ))


all: $(OBJ) #$(ODIR)/Bent.o
	$(CC) -shared $(EXE) $^

$(ODIR)/Bent.o : $(SDIR)/Bent.c $(DEPS)
	$(CC) $(CFLAGS) $(JINCLUDES) -c -o $@ $<


$(ODIR)/%.o: $(SDIR)/%.c $(DEPS)
	$(CC) $(CFLAGS) -c -o $@ $<

.PHONY: clean

clean:
	rm -f $(ODIR)/*.o $(JDIR)/libbent.so